Package junit.runner

# Class SimpleTestCollector

java.lang.Object
junit.runner.ClassPathTestCollector
junit.runner.SimpleTestCollector

All Implemented Interfaces:
  `TestCollector`

public class SimpleTestCollector extends ClassPathTestCollector
An implementation of a TestCollector that considers a class to be a test class when it contains the pattern "Test" in its name

See Also:
  - `TestCollector`

## Constructor Summary

Constructors
Constructor
Description
`SimpleTestCollector()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isTestClass(String classFileName)`

### Methods inherited from class junit.runner.ClassPathTestCollector

`classNameFromFile, collectFilesInPath, collectTests`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleTestCollector

public SimpleTestCollector()

## Method Details

### isTestClass

protected boolean isTestClass(String classFileName)

Overrides:
  `isTestClass` in class `ClassPathTestCollector`